#ifndef _Handle_PGeom2d_Parabola_HeaderFile
#define _Handle_PGeom2d_Parabola_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Conic_HeaderFile
#include <Handle_PGeom2d_Conic.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Conic);
class PGeom2d_Parabola;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_Parabola);

class Handle(PGeom2d_Parabola) : public Handle(PGeom2d_Conic) {
  public:

    Handle(PGeom2d_Parabola)():Handle(PGeom2d_Conic)() {} 
    Handle(PGeom2d_Parabola)(const Handle(PGeom2d_Parabola)& aHandle) : Handle(PGeom2d_Conic)(aHandle) 
     {
     }

    Handle(PGeom2d_Parabola)(const PGeom2d_Parabola* anItem) : Handle(PGeom2d_Conic)((PGeom2d_Conic *)anItem) 
     {
     }

    Handle(PGeom2d_Parabola)& operator=(const Handle(PGeom2d_Parabola)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_Parabola)& operator=(const PGeom2d_Parabola* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_Parabola* operator->() const 
     {
      return (PGeom2d_Parabola *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_Parabola) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
